<?php
/*
 * Plugin Name: Piwecard
 * Version: 2.6.0
 * Description: envoi de Cartes Virtuelles
 * Plugin URI: http://piwigo.org/ext/extension_view.php?eid=487
 * Author: Tiico & Julien1311
 * */

if (!defined('PHPWG_ROOT_PATH'))  die('Hacking attempt!');

if (mobile_theme())
	return;

global $prefixeTable;

define('PIWECARD_ROOT', dirname(__FILE__));
define('PIWECARD_DIR', basename(dirname(__FILE__)));
define('PIWECARD_PATH', PHPWG_PLUGINS_PATH.PIWECARD_DIR.'/');
define('PIWECARD_INC_PATH', PHPWG_PLUGINS_PATH . PIWECARD_DIR . '/include/');
define('PIWECARD_INSTALL_PATH', PHPWG_PLUGINS_PATH . PIWECARD_DIR . '/install/');
define('PIWECARD_MAIL_PATH', PHPWG_PLUGINS_PATH . PIWECARD_DIR . '/mail/');
define('PIWECARD_TABLE', $prefixeTable . 'piwecard');
define('PIWECARD_ADMIN',   get_root_url() . 'admin.php?page=plugin-'.PIWECARD_DIR);

include_once(PIWECARD_INC_PATH.'piwecard.class.php');
include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
include_once(PHPWG_ROOT_PATH.'include/functions_picture.inc.php');
global $page, $template;

// Load language files
load_language('plugin.lang', PIWECARD_PATH);	

$piwecard = new Piwecard();

// Add ecard to picture page
add_event_handler('loc_end_picture', array(&$piwecard, 'display_ecard_to_picture')); 

add_event_handler('loc_end_section_init', array(&$piwecard, 'section_init_ecard'));
add_event_handler('loc_end_index', array(&$piwecard, 'index_ecard'));

set_plugin_data($plugin['id'], $piwecard);

/* +-----------------------------------------------------------------------+
 * | Plugin admin                                                          |
 * +-----------------------------------------------------------------------+ */
add_event_handler('get_admin_plugin_menu_links', 'piwecard_admin_menu');

function piwecard_admin_menu($menu) {
	array_push(
		$menu, array(
			'NAME'  => 'Piwecard',
			'URL'   => PIWECARD_ADMIN,
		)
	);      
	return $menu;
}

/* +-----------------------------------------------------------------------+
 * | CSS/JS Style                                                          |
 * +-----------------------------------------------------------------------+ */
add_event_handler('loc_end_page_header', 'piwecard_css_js');

function piwecard_css_js() {
	global $template;
	
	if (defined('IN_ADMIN') and IN_ADMIN)
		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PIWECARD_PATH . 'css/admin.css">');
	
	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.PIWECARD_PATH . 'css/piwecard.css">');
}

/* +-----------------------------------------------------------------------+
 * | AJAX Methods                                                          |
 * +-----------------------------------------------------------------------+ */
add_event_handler('ws_add_methods', 'piwecard_ws_add_methods');

function piwecard_ws_add_methods($arr) {
	require_once('ws/ws_functions.inc.php');
}
?>